name: yt2sp_bot
services:
    yt2sp_bot:
      environment:
        - BOT_VERSION=v1.0.0
        - DB_VERSION=v1.0.0
        - DISCORD_BOT_TOKEN=${DISCORD_BOT_TOKEN}
        - YOUTUBE_DEVELOPER_KEY=${DISCORD_BOT_TOKEN}
        - SPOTIFY_CID=${SPOTIFY_CID}
        - SPOTIFY_SECRET=${SPOTIFY_SECRET}
        - BOT_CONTROLS_CHANNEL=${BOT_CONTROLS_CHANNEL}
        - MUSIC_SHARE_CHANNEL=${MUSIC_SHARE_CHANNEL}
        - DB_HOST=yt2sp_links_db
        - DB_USERNAME=${DB_USERNAME}
        - DB_PASSWORD=${DB_PASSWORD}
        - DB_PORT=${DB_PORT:-5432}
        - DB_NAME=${DB_NAME}
      container_name: yt2sp_bot
      restart: always
      pull_policy: build
      depends_on:
        - yt2sp_links_db
      build: './'

    yt2sp_links_db:
      environment:
        - POSTGRES_USERNAME=${DB_NAME}
        - POSTGRES_PASSWORD=${DB_PASSWORD}
      container_name: yt2sp_links_db
      restart: always
      pull_policy: build
      ports:
        - ${DB_INTER_PORT}:5432
      volumes:
        - ${DB_DATA:-"./db/data"}:/var/lib/postgresql/data
      build: './db'
